summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
Diffstat (limited to 'installer')
-rwxr-xr-xinstaller/opengnsys_installer.sh6
-rwxr-xr-xinstaller/opengnsys_update.sh19
2 files changed, 25 insertions, 0 deletions
diff --git a/installer/opengnsys_installer.sh b/installer/opengnsys_installer.sh
index b95e6ad7..ec0d3c74 100755
--- a/installer/opengnsys_installer.sh
+++ b/installer/opengnsys_installer.sh
@@ -1480,6 +1480,8 @@ function openGnsysConfigure()
cp -a $WORKDIR/opengnsys/admin/Sources/Services/opengnsys.init /etc/init.d/opengnsys
cp -a $WORKDIR/opengnsys/admin/Sources/Services/opengnsys.service \
/lib/systemd/system/opengnsys.service
+ cp -a $WORKDIR/ogServer-$BRANCH/cfg/ogserver.service \
+ /lib/systemd/system/ogserver.service
cp -a $WORKDIR/opengnsys/admin/Sources/Services/opengnsys.default /etc/default/opengnsys
# Deshabilitar servicios de BitTorrent si no están instalados.
if [ ! -e /usr/bin/bttrack ]; then
@@ -1559,6 +1561,10 @@ EOT
$STARTSERVICE
fi
+ # Enable and start ogServer systemd service
+ service="ogserver"
+ $ENABLESERVICE; $STARTSERVICE
+
echoAndLog "${FUNCNAME}(): Creating ogClient config files."
sed -i -e "s/127\.0\.0\.1/$OPENGNSYS_SERVERIP/g" \
$INSTALL_TARGET/client/ogClient/cfg/ogclient.json
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index 29cdb910..ffe262d8 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -1092,6 +1092,25 @@ function ogServerCompilation()
grep -q "APITOKEN=" $INSTALL_TARGET/etc/ogAdmServer.cfg || \
$INSTALL_TARGET/bin/settoken -f
+ if ! diff -q \
+ "$WORKDIR"/ogServer-"$BRANCH"/cfg/ogserver.service \
+ /lib/systemd/system/ogserver.service 2>/dev/null; then
+ service="opengnsys"
+ $STOPSERVICE
+ echoAndLog "${FUNCNAME}(): updating new service file"
+ backupFile /lib/systemd/system/ogserver.service
+ service="ogadmserver"
+ $STOPSERVICE
+ cp -a \
+ "$WORKDIR"/ogServer-"$BRANCH"/cfg/ogserver.service \
+ /lib/systemd/system/ogserver.service
+ systemctl daemon-reload
+ $STARTSERVICE
+ service="opengnsys"
+ $STARTSERVICE
+ NEWFILES="$NEWFILES /lib/systemd/system/ogserver.service"
+ fi
+
return $error
}